Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class StringLiteral

    java.lang.Object
      net.sf.saxon.expr.Expression
          net.sf.saxon.expr.Literal
              net.sf.saxon.expr.StringLiteral

All Implemented Interfaces:
  Serializable, SourceLocator, Container, EvaluableItem, SequenceIterable, InstructionInfoProvider

    public class StringLiteral

extends Literal

Subclass of Literal used specifically for string literals, as this is a common case

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`StringLiteral(CharSequence value)`
`StringLiteral(StringValue value)`

Method Summary
`String` | `getStringValue()`

Methods inherited from class net.sf.saxon.expr.Literal
`computeCardinality, computeSpecialProperties, display, effectiveBooleanValue, equals, evaluateAsString, evaluateItem, getDependencies, getItemType, getValue, hashCode, isAtomic, isConstantBoolean, isConstantOne, isEmptySequence, iterate, makeLiteral, optimize, process, simplify, typeCheck`

Methods inherited from class net.sf.saxon.expr.Expression
`adoptChildExpression, checkPermittedContents, computeDependencies, computeStaticProperties, doPromotion, getCardinality, getColumnNumber, getContainingProcedure, getExecutable, getHostLanguage, getImplementationMethod, getInstructionInfo, getIntrinsicDependencies, getLineNumber, getLocationId, getLocationProvider, getParentExpression, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, hasBadParentPointer, iterateSubExpressions, markTailFunctionCalls, promote, replaceSubExpression, resetStaticProperties, setLocationId, setParentExpression, setParentExpression, suppressValidation`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringLiteral

    public StringLiteral(StringValue value)

### StringLiteral

    public StringLiteral(CharSequence value)

Method Detail

### getStringValue

    public String getStringValue()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.